Skip to content

Delete an inspection template

Safety module

DELETE/inspection-templates/{id}inspectionTemplates.delete

A template for an inspection walk. Soft-deletes the inspection template: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability safety.inspection_template.write.
  • OAuth scopes: safety.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

inspectionTemplates.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the inspection template.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/inspection-templates/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.inspectionTemplates.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.inspection_templates.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos inspection-templates delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f